%define anolis_release 2
%global pypi_name semantic_version

%bcond_with docs
Name:           python-%{pypi_name}
Version:        2.10.0
Release: %{anolis_release}%{dist}
Summary:        Library implementing the 'SemVer' scheme

License:        BSD
URL:            https://github.com/rbarrois/python-semanticversion
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%global _description \
This small python library provides a few tools to handle semantic versioning\
in Python.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{_description}

Python 3 version

%package -n python3-%{pypi_name}-doc
Summary:        Documentation for python-%{pypi_name}
%if %{with docs}
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
%endif

%description -n python3-%{pypi_name}-doc
%{summary}.

%prep
%autosetup -n python-semanticversion-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# documentation builds due to broken symlink
# https://github.com/rbarrois/python-semanticversion/issues/20
rm docs/credits.rst

%build
%py3_build
%if %{with docs}
# generate html docs
sphinx-build-%{python3_version} docs html
%endif
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-*.egg-info/

%files -n python3-%{pypi_name}-doc
%if %{with docs}
%doc html
%endif
%doc README.rst ChangeLog

%changelog
* Wed Dec 13 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.10.0-2
- rebuild

* Sat Apr 01 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 2.10.0-1
- Init package from upstream
